# Class CIM_LogicalPortCapabilities
extends CIM_EnabledLogicalElementCapabilities

LogicalPortCapabilities describes the configuration capabilities for properties in LogicalPortSettings.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_LogicalPortCapabilities

## Direct Known Subclasses

CIM_FCPortCapabilities
CIM_NetworkPortCapabilities

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | LogicalPortCapabilities describes the configuration capabilities for properties in LogicalPortSettings.
UMLPackagePath | string | CIM::Device::Ports
Version | string | 2.11.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AutoSenseSpeedConfigurable | boolean |
Description | string | A boolean indicating whether the value in LogicalPortSettings.AutoSenseSpeed may be changed (TRUE), or may only be viewed (FALSE).
ModelCorrespondence | string | CIM_NetworkPort.Speed
RequestedSpeedsSupported | uint64[] |
Description | string | List of supported port speeds that can be configured on LogicalPortSettings.RequestedSpeed.
ModelCorrespondence | string | CIM_NetworkPort.Speed

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods